View Issue Details

IDProjectCategoryView StatusLast Update
0032452CommunityOCCT:Data Exchangepublic2021-12-19 11:17
ReporterVladyslav Smorodskyi Assigned Tosmoskvin  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
PlatformVC++ 2019 64 bitOSWindows 
Product Version7.5.0 
Target Version7.7.0 
Summary0032452: Data Exchange - IGES reader returns invalid shapes if xstep.cascade.unit property is changed from default
DescriptionIGES reader returns invalid shapes when xstep.cascade.unit is changed from MM to M.

Attached file (1 sphere.IGS) and next DRAW script can be used to reproduce issue.

This issue narrowed to IGESToBRep_IGESBoundary::Check method that called in IGESToBRep_TopoCurve::TransferCurveOnFace.
If units are MM check will return error and shape is healed afterwards, if units are M check will return OK and shape will be imported as is (invalid).
Steps To Reproduce
pload XDE OCAF VISUALIZATION
# This can be ignored, since MM is default property value in this case
param xstep.cascade.unit MM
igesread "1 sphere.IGS" t
# Select 2(All roots) -> 1(One shape for all)
checkshape t
# Result shape is valid

param xstep.cascade.unit M
igesread "1 sphere.IGS" f
# Select 2(All roots) -> 1(One shape for all)
checkshape f
# Result shape is invalid
TagsNo tags attached.
Test case numberNot needed

Attached Files

  • 1 sphere.IGS (8,118 bytes)

Relationships

related to 0031382 closedbugmaster Open CASCADE Data Exchange - BinXCAF should preserve length unit information 

Activities

Vladyslav Smorodskyi

2021-06-17 13:52

reporter  

1 sphere.IGS (8,118 bytes)

ichesnokova

2021-11-28 22:04

developer   ~0105498

Debugging

git

2021-12-02 14:43

administrator   ~0105606

Branch CR32452 has been created by ichesnokova.

SHA-1: 6f19f4a7e352e5c9adedabe37d34af7abac34ccc


Detailed log of new commits:

Author: ichesnok
Date: Thu Dec 2 14:40:35 2021 +0300

    0032452: Data Exchange - IGES reader returns invalid shapes if xstep.cascade.unit property is changed from default
    
    Fixed

git

2021-12-13 10:36

administrator   ~0105838

Branch CR32452 has been updated forcibly by ichesnokova.

SHA-1: 898459b2d1f7f8508c9824112f9eea5f1f3a0b31

ichesnokova

2021-12-13 10:45

developer   ~0105841

git

2021-12-13 12:38

administrator   ~0105845

Branch CR32452 has been updated forcibly by ichesnokova.

SHA-1: b7915b937ba8166a87a86dd2a6980c6fa470ccbd

git

2021-12-14 13:18

administrator   ~0105971

Branch CR32452 has been updated forcibly by ichesnokova.

SHA-1: 9ebecd842fc16fd4d0b6c6d493985691247aebd0

ichesnokova

2021-12-14 13:24

developer   ~0105972

If the value of xstep.cascade.unit parameter is changed by the user, then read.maxprecision.val parameter must also be changed depending on selected unit.
In this case, if xstep.cascade.unit parameter is changed from MM to M, then read.maxprecision.val parameter should be multiplied by 0.001.

Patch is ready for review
- OCCT: branch CR32452

git

2021-12-14 14:19

administrator   ~0105975

Branch CR32452 has been updated forcibly by ichesnokova.

SHA-1: f973d21b23a5ce85bde94c7d35782d26d73dfdc0

ika

2021-12-14 15:07

developer   ~0105976

No remarks.
No changes in the code only documentation.

Dear bugmaster,
please integrate:
OCCT CR32452
Products - NOT.

smoskvin

2021-12-18 15:23

administrator   ~0106061

Combination -
OCCT branch : IR-2021-12-17
master SHA - 302ad26bffd1ef35a61b8b25b79b9376d9a3e906
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-17 SHA - 98edda224f5e3516cba5be029bc70c3df45ca649
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18206.60000000041 / 18222.99000000043 [-0.09%]
Products
Total CPU difference: 11646.460000000101 / 11645.100000000084 [+0.01%]
Windows-64-VC14:
OCCT
Total CPU difference: 20012.890625 / 20000.0 [+0.06%]
Products
Total CPU difference: 13093.890625 / 13044.453125 [+0.38%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-19 11:17

administrator   ~0106080

Branch CR32452 has been deleted by mnt.

SHA-1: f973d21b23a5ce85bde94c7d35782d26d73dfdc0

Related Changesets

occt: master 468856bf

2021-12-02 14:40:35

ichesnok


Committer: smoskvin Details Diff
0032452: Data Exchange - IGES reader returns invalid shapes if xstep.cascade.unit property is changed from default

Fixed documentation in 'IGES Translator' and 'STEP Translator' sections (description of the read.maxprecision.val parameter).
Affected Issues
0032452
mod - dox/user_guides/iges/iges.md Diff File
mod - dox/user_guides/step/step.md Diff File

Issue History

Date Modified Username Field Change
2021-06-17 13:52 Vladyslav Smorodskyi New Issue
2021-06-17 13:52 Vladyslav Smorodskyi Assigned To => gka
2021-06-17 13:52 Vladyslav Smorodskyi File Added: 1 sphere.IGS
2021-06-17 17:36 kgv Relationship added related to 0031382
2021-11-24 10:58 ika Assigned To gka => ichesnokova
2021-11-24 10:58 ika Status new => assigned
2021-11-24 11:07 kgv Target Version => 7.7.0
2021-11-24 11:08 kgv Summary IGES reader returns invalid shapes if xstep.cascade.unit property is changed from default => Data Exchange - IGES reader returns invalid shapes if xstep.cascade.unit property is changed from default
2021-11-24 11:08 kgv Steps to Reproduce Updated
2021-11-24 11:09 kgv Description Updated
2021-11-24 11:10 kgv Product Version 7.5.1 => 7.5.0
2021-11-28 22:04 ichesnokova Note Added: 0105498
2021-12-02 14:43 git Note Added: 0105606
2021-12-02 14:45 ichesnokova Assigned To ichesnokova => ika
2021-12-02 14:45 ichesnokova Status assigned => resolved
2021-12-03 14:24 kgv Assigned To ika => ichesnokova
2021-12-03 14:24 kgv Status resolved => assigned
2021-12-13 10:36 git Note Added: 0105838
2021-12-13 10:45 ichesnokova Note Added: 0105841
2021-12-13 10:46 ichesnokova Assigned To ichesnokova => ika
2021-12-13 10:46 ichesnokova Status assigned => resolved
2021-12-13 12:38 git Note Added: 0105845
2021-12-14 13:18 git Note Added: 0105971
2021-12-14 13:24 ichesnokova Note Added: 0105972
2021-12-14 14:19 git Note Added: 0105975
2021-12-14 15:07 ika Note Added: 0105976
2021-12-14 15:07 ika Assigned To ika => bugmaster
2021-12-14 15:07 ika Status resolved => reviewed
2021-12-14 15:07 ika Test case number => Not needed
2021-12-17 16:27 ika Time allocated 13.12.2021: 3 h. => set
2021-12-18 15:23 smoskvin Status reviewed => tested
2021-12-18 15:23 smoskvin Note Added: 0106061
2021-12-18 20:24 smoskvin Changeset attached => occt master 468856bf
2021-12-18 20:24 smoskvin Assigned To bugmaster => smoskvin
2021-12-18 20:24 smoskvin Status tested => verified
2021-12-18 20:24 smoskvin Resolution open => fixed
2021-12-19 11:17 git Note Added: 0106080